apiVersion: v1
kind: PersistentVolume
metadata:
  name: immich-data-pv
spec:
  capacity:
    storage: 100Gi  # Irgendwas großzügiges, spielt bei NFS weniger Rolle
  accessModes:
    - ReadWriteMany   # GANZ WICHTIG!
  storageClassName: nfs
  persistentVolumeReclaimPolicy: Retain  # Optional: verhindert, dass K8s dein Share löscht
  nfs:
    path: /export/fastData/immichData
    server: 192.168.178.166
